from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XAccessibleTable(XInterface, Protocol):
    def getAccessibleRowCount(self) -> int: ...
    def getAccessibleColumnCount(self) -> int: ...
    def getAccessibleRowHeaders(self) -> XAccessibleTable: ...
    def getAccessibleColumnHeaders(self) -> XAccessibleTable: ...
    def getSelectedAccessibleRows(self) -> list[int]: ...
    def getSelectedAccessibleColumns(self) -> list[int]: ...
    def getAccessibleCaption(self) -> XAccessible: ...
    def getAccessibleSummary(self) -> XAccessible: ...
